> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/en/crm-marketing/webhook-guide/use-cases/webhook-kakaotalk-nhn.md).

# Send Kakao Alimtalk via Webhook (NHN Cloud)

You can create a webhook campaign by referring to the API provided by the provider. Let's explore the case of creating a webhook using the

[NHN KakaoTalk Bizmessage Send API](https://docs.nhncloud.com/ko/Notification/KakaoTalk%20Bizmessage/ko/friendtalk-overview/).

#### URL Settings

First, enter the HTTP method and URL according to the NHN message send API.

![](/files/saQz0Bm7Fr6IMa1i7gwf)

#### Header Settings

Click the 'Add' button in the Headers tab and configure the Key and Value as follows.

Personalization was used to dynamically add the X-Secret-Key and accesstoken issued by NHN for each send target user.

Key: `Authorization`

Value: `{{user_properties.authorization_type}} {{user_properties.access_token}}`

![](/files/0062EvMIroUtqazlGV0k)

> 📘 Using Personalization
>
> Just like writing a personalized message by clicking {...}, you can use already-stored user and event [properties](/en/event-management/properties.md) to dynamically inject user-specific token values, etc., which can be used when configuring webhook message campaigns, as shown in the example above.

#### Body Settings

Click the Body tab and write the Request Body in JSON format as follows.

![](/files/upNSa1tvBBSo9gX5agXo)

#### Kakao Alimtalk Delivery Body Sample

> 📘 Using Personalization
>
> Just like writing a personalized message by clicking {...}, you can use already-stored user and event [properties](/en/event-management/properties.md) to dynamically inject user-specific phone numbers, etc., which can be used when configuring webhook message campaigns, as shown in the example below.

```
curl https://api-alimtalk.cloud.toast.com/alimtalk/v2.3/appkeys/{appkey}/messages?webhook_key=10 \
  -X POST \
  -H "Content-Type": "application/json" \
  -H "X-Secret-Key": "X-Secret-Key" \
  -H "Authorization": "{{user_properties["authorization_type"] }}{{user_properties["access_token"] }}" \
  -d '{
    "senderKey": "String",
    "templateCode": "String",
    "requestDate": "String",
    "senderGroupingKey": "String",
    "createUser": "String",
    "recipientList": [{
        "recipientNo": "{{user_properties["phoneNumber"] | default: ""}}",
        "templateParameter": {
            "String": "String"
        },
        "resendParameter": {
          "isResend": "boolean",
          "resendType": "String",
          "resendTitle": "String",
          "resendContent": "String",
          "resendSendNo": "String"
        },
        "buttons": [
          {
            "ordering": "Integer",
            "chatExtra": "String",
            "chatEvent": "String",
            "relayId": "String",
            "oneClickId": "String",
            "productId": "String",
            "target": "String"
          }
        ],
        "quickReplies": [
        {
            "ordering": "Integer",
            "chatExtra": "String",
            "chatEvent": "String",
            "target": "String"
        }
        ],
        "recipientGroupingKey": "String"
    }],
    "messageOption": {
      "price": "Integer",
      "currencyType": "String"
    },
    "statsId": "String"
}'
```

#### Target Settings

Configure the cohort to be the webhook send target.

![](/files/7s55TlMy3eqx9sCbCvwz)

#### Summary

Now save the webhook campaign settings. You can see the following summary.

![](/files/D2mFgabAi6amZQk0IDMz)

#### Send Settings

Now activate the webhook campaign through the send settings.

In the send settings screen, you can check information about the estimated send target.

Configure the send type and customer fatigue management, then click 'Start' to activate the campaign.

![](/files/jdVqcc2QkZiDkkzFVCql)

#### Complete

The KakaoTalk Alimtalk webhook campaign activation is complete.

Check the statistics section to track the campaign's performance.

![](/files/f4IIF7ceyuRPxIhA7LhY)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hackle.io/en/crm-marketing/webhook-guide/use-cases/webhook-kakaotalk-nhn.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
